Package org.eclipse.emf.cdo.admin

## Interface CDOAdminClient.ConnectionStateChangedEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    CDOAdminClient

      public static interface CDOAdminClient.ConnectionStateChangedEvent
      extends org.eclipse.net4j.util.event.IEvent

  An `event` fired from a client-side `administrative interface` after the connection `state` has changed.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOAdminClient` | `getSource()` |
    `boolean` | `isConnected()` |

- - ### Method Detail

    - #### getSource

          CDOAdminClient getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

    - #### isConnected

          boolean isConnected()